<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Branches</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['branch_id']) ? urlencode($data['branch_id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-branch_id">
                                        <th class="title"> Branch Id: </th>
                                        <td class="value"> <?php echo $data['branch_id']; ?></td>
                                    </tr>
                                    <tr  class="td-cr">
                                        <th class="title"> Cr: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['cr']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="cr" 
                                                data-title="Enter Cr" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['cr']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-BranchNo">
                                        <th class="title"> Branchno: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['BranchNo']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="BranchNo" 
                                                data-title="Enter Branch no." 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['BranchNo']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-NameEnglish">
                                        <th class="title"> Nameenglish: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['NameEnglish']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="NameEnglish" 
                                                data-title="Enter Name in english" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['NameEnglish']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-NameArabic">
                                        <th class="title"> Namearabic: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['NameArabic']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="NameArabic" 
                                                data-title="Enter Name in arabic" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['NameArabic']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-logo">
                                        <th class="title"> Logo: </th>
                                        <td class="value"><?php Html :: page_img($data['logo'],400,400,1); ?></td>
                                    </tr>
                                    <tr  class="td-mobile">
                                        <th class="title"> Mobile: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['mobile']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="mobile" 
                                                data-title="Enter Mobile" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['mobile']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-email">
                                        <th class="title"> Email: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['email']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="email" 
                                                data-title="Enter Email" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="email" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['email']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-website">
                                        <th class="title"> Website: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['website']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="website" 
                                                data-title="Enter Website" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['website']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-address">
                                        <th class="title"> Address: </th>
                                        <td class="value">
                                            <span  data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="address" 
                                                data-title="Enter Address" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="textarea" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['address']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-description_en">
                                        <th class="title"> Description En: </th>
                                        <td class="value">
                                            <span  data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="description_en" 
                                                data-title="Enter Description En" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="textarea" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['description_en']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-description_ar">
                                        <th class="title"> Description Ar: </th>
                                        <td class="value">
                                            <span  data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="description_ar" 
                                                data-title="Enter Description Ar" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="textarea" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['description_ar']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-latitude">
                                        <th class="title"> Latitude: </th>
                                        <td class="value">
                                            <span  data-step="0.1" 
                                                data-value="<?php echo $data['latitude']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="latitude" 
                                                data-title="Enter Latitude" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['latitude']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-longitude">
                                        <th class="title"> Longitude: </th>
                                        <td class="value">
                                            <span  data-step="0.1" 
                                                data-value="<?php echo $data['longitude']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="longitude" 
                                                data-title="Enter Longitude" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['longitude']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-category_id">
                                        <th class="title"> Category Id: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("category/view/" . urlencode($data['category_id'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['category_Category_name_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-Status">
                                        <th class="title"> Status: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("status/view/" . urlencode($data['Status'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['status_status_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-is_pending_approval">
                                        <th class="title"> Is Pending Approval: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['is_pending_approval']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="is_pending_approval" 
                                                data-title="Enter Is Pending Approval" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['is_pending_approval']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-is_deleted">
                                        <th class="title"> Is Deleted: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['is_deleted']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="is_deleted" 
                                                data-title="Enter Is Deleted" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['is_deleted']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-is_active">
                                        <th class="title"> Is Active: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['is_active']; ?>" 
                                                data-pk="<?php echo $data['branch_id'] ?>" 
                                                data-url="<?php print_link("branches/editfield/" . urlencode($data['branch_id'])); ?>" 
                                                data-name="is_active" 
                                                data-title="Enter Is Active" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['is_active']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">save</i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <a class="btn btn-sm btn-info"  href="<?php print_link("branches/edit/$rec_id"); ?>">
                                                    <i class="material-icons">edit</i> Edit
                                                </a>
                                                <a class="btn btn-sm btn-danger record-delete-btn mx-1"  href="<?php print_link("branches/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                    <i class="material-icons">clear</i> Delete
                                                </a>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="material-icons">block</i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
