<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Contact Us</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['contact_us_id']) ? urlencode($data['contact_us_id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-contact_us_id">
                                        <th class="title"> Contact Us Id: </th>
                                        <td class="value"> <?php echo $data['contact_us_id']; ?></td>
                                    </tr>
                                    <tr  class="td-type_of_inquiry_ID">
                                        <th class="title"> Type Of Inquiry Id: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("type_of_inquiry/view/" . urlencode($data['type_of_inquiry_ID'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['type_of_inquiry_type_of_inquiry_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-Member_ID">
                                        <th class="title"> Member Id: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("member/view/" . urlencode($data['Member_ID'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['member_Full_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-msg">
                                        <th class="title"> Msg: </th>
                                        <td class="value"> <?php echo $data['msg']; ?></td>
                                    </tr>
                                    <tr  class="td-added_date">
                                        <th class="title"> Added Date: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['added_date']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['added_date']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-replay">
                                        <th class="title"> Replay: </th>
                                        <td class="value">
                                            <span  data-pk="<?php echo $data['contact_us_id'] ?>" 
                                                data-url="<?php print_link("contact_us/editfield/" . urlencode($data['contact_us_id'])); ?>" 
                                                data-name="replay" 
                                                data-title="Enter Replay" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="textarea" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['replay']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-replay_date">
                                        <th class="title"> Replay Date: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['replay_date']; ?>" 
                                                data-pk="<?php echo $data['contact_us_id'] ?>" 
                                                data-url="<?php print_link("contact_us/editfield/" . urlencode($data['contact_us_id'])); ?>" 
                                                data-name="replay_date" 
                                                data-title="Enter Replay Date" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <span title="<?php echo human_datetime($data['replay_date']); ?>" class="has-tooltip">
                                                    <?php echo relative_date($data['replay_date']); ?>
                                                </span>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-status_status_name">
                                        <th class="title"> Status Status Name: </th>
                                        <td class="value"> <?php echo $data['status_status_name']; ?></td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">save</i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <a class="btn btn-sm btn-info"  href="<?php print_link("contact_us/edit/$rec_id"); ?>">
                                                    <i class="material-icons">edit</i> Edit
                                                </a>
                                                <a class="btn btn-sm btn-danger record-delete-btn mx-1"  href="<?php print_link("contact_us/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                    <i class="material-icons">clear</i> Delete
                                                </a>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="material-icons">block</i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
