<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Event</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['Event_ID']) ? urlencode($data['Event_ID']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-Event_ID">
                                        <th class="title"> Event Id: </th>
                                        <td class="value"> <?php echo $data['Event_ID']; ?></td>
                                    </tr>
                                    <tr  class="td-Title_en">
                                        <th class="title"> Title En: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['Title_en']; ?>" 
                                                data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="Title_en" 
                                                data-title="Enter Title En" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['Title_en']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-Title_ar">
                                        <th class="title"> Title Ar: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['Title_ar']; ?>" 
                                                data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="Title_ar" 
                                                data-title="Enter Title Ar" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['Title_ar']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-Description_en">
                                        <th class="title"> Description En: </th>
                                        <td class="value">
                                            <span  data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="Description_en" 
                                                data-title="Enter Description En" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="textarea" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['Description_en']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-Description_ar">
                                        <th class="title"> Description Ar: </th>
                                        <td class="value">
                                            <span  data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="Description_ar" 
                                                data-title="Enter Description Ar" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="textarea" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['Description_ar']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-img">
                                        <th class="title"> Img: </th>
                                        <td class="value"><?php Html :: page_img($data['img'],400,400,1); ?></td>
                                    </tr>
                                    <tr  class="td-Date">
                                        <th class="title"> Date: </th>
                                        <td class="value">
                                            <span  data-flatpickr="{ enableTime: false, minDate: '', maxDate: ''}" 
                                                data-value="<?php echo $data['Date']; ?>" 
                                                data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="Date" 
                                                data-title="Enter Date" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="flatdatetimepicker" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <span title="<?php echo human_datetime($data['Date']); ?>" class="has-tooltip">
                                                    <?php echo relative_date($data['Date']); ?>
                                                </span>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-Time">
                                        <th class="title"> Time: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['Time']; ?>" 
                                                data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="Time" 
                                                data-title="Enter Time" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="time" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['Time']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-Location">
                                        <th class="title"> Location: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['Location']; ?>" 
                                                data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="Location" 
                                                data-title="Enter Location" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['Location']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-Type">
                                        <th class="title"> Type: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("event_type/view/" . urlencode($data['Type'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['event_type_event_type_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-Status">
                                        <th class="title"> Status: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("status/view/" . urlencode($data['Status'])) ?>">
                                                <i class="material-icons">visibility</i> <?php echo $data['status_status_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-date_created">
                                        <th class="title"> Date Created: </th>
                                        <td class="value"> <?php echo $data['date_created']; ?></td>
                                    </tr>
                                    <tr  class="td-date_updated">
                                        <th class="title"> Date Updated: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['date_updated']; ?>" 
                                                data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="date_updated" 
                                                data-title="Enter Date Updated" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['date_updated']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-date_deleted">
                                        <th class="title"> Date Deleted: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['date_deleted']; ?>" 
                                                data-pk="<?php echo $data['Event_ID'] ?>" 
                                                data-url="<?php print_link("event/editfield/" . urlencode($data['Event_ID'])); ?>" 
                                                data-name="date_deleted" 
                                                data-title="Enter Date Deleted" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['date_deleted']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-status_status_name">
                                        <th class="title"> Status Status Name: </th>
                                        <td class="value"> <?php echo $data['status_status_name']; ?></td>
                                    </tr>
                                    <tr  class="td-status_date_updated">
                                        <th class="title"> Status Date Updated: </th>
                                        <td class="value"> <?php echo $data['status_date_updated']; ?></td>
                                    </tr>
                                    <tr  class="td-event_type_event_type_name">
                                        <th class="title"> Event Type Event Type Name: </th>
                                        <td class="value"> <?php echo $data['event_type_event_type_name']; ?></td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">save</i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <a class="btn btn-sm btn-info"  href="<?php print_link("event/edit/$rec_id"); ?>">
                                                    <i class="material-icons">edit</i> Edit
                                                </a>
                                                <a class="btn btn-sm btn-danger record-delete-btn mx-1"  href="<?php print_link("event/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                    <i class="material-icons">clear</i> Delete
                                                </a>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="material-icons">block</i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
