<?php 

/**
 * SharedController Controller
 * @category  Controller / Model
 */
class SharedController extends BaseController{
	
	/**
     * about_us_title_value_exist Model Action
     * @return array
     */
	function about_us_title_value_exist($val){
		$db = $this->GetModel();
		$db->where("title", $val);
		$exist = $db->has("about_us");
		return $exist;
	}

	/**
     * about_us_title_ar_value_exist Model Action
     * @return array
     */
	function about_us_title_ar_value_exist($val){
		$db = $this->GetModel();
		$db->where("title_ar", $val);
		$exist = $db->has("about_us");
		return $exist;
	}

	/**
     * advertisement_status_option_list Model Action
     * @return array
     */
	function advertisement_status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * announcement_Status_option_list Model Action
     * @return array
     */
	function announcement_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * benefit_benefit_status_option_list Model Action
     * @return array
     */
	function benefit_benefit_status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * benefit_request_status_option_list Model Action
     * @return array
     */
	function benefit_request_status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * branch_category_id_option_list Model Action
     * @return array
     */
	function branch_category_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT Category_ID AS value,Category_name_en AS label FROM category";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * branch_Status_option_list Model Action
     * @return array
     */
	function branch_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * branches_category_id_option_list Model Action
     * @return array
     */
	function branches_category_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT Category_ID AS value , Category_name_en AS label FROM category ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * branches_Status_option_list Model Action
     * @return array
     */
	function branches_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * category_Status_option_list Model Action
     * @return array
     */
	function category_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * contact_us_Status_option_list Model Action
     * @return array
     */
	function contact_us_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * department_status_option_list Model Action
     * @return array
     */
	function department_status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * document_center_status_option_list Model Action
     * @return array
     */
	function document_center_status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * event_Type_option_list Model Action
     * @return array
     */
	function event_Type_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT event_type_id AS value,event_type_name AS label FROM event_type";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * event_Status_option_list Model Action
     * @return array
     */
	function event_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * event_attendance_Status_option_list Model Action
     * @return array
     */
	function event_attendance_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * event_attendance_Event_ID_option_list Model Action
     * @return array
     */
	function event_attendance_Event_ID_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT Event_ID AS value , Title_en AS label FROM event ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * event_attendance_Member_ID_option_list Model Action
     * @return array
     */
	function event_attendance_Member_ID_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT Member_ID AS value , Full_name AS label FROM member ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * faq_question_value_exist Model Action
     * @return array
     */
	function faq_question_value_exist($val){
		$db = $this->GetModel();
		$db->where("question", $val);
		$exist = $db->has("faq");
		return $exist;
	}

	/**
     * faq_question_arabic_value_exist Model Action
     * @return array
     */
	function faq_question_arabic_value_exist($val){
		$db = $this->GetModel();
		$db->where("question_arabic", $val);
		$exist = $db->has("faq");
		return $exist;
	}

	/**
     * floor_status_option_list Model Action
     * @return array
     */
	function floor_status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * hall_Status_option_list Model Action
     * @return array
     */
	function hall_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * hall_booking_Status_option_list Model Action
     * @return array
     */
	function hall_booking_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * information_request_Status_option_list Model Action
     * @return array
     */
	function information_request_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * latest_news_Status_option_list Model Action
     * @return array
     */
	function latest_news_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * member_ID_Attachment_option_list Model Action
     * @return array
     */
	function member_ID_Attachment_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT document_center_ID AS value , Title_en AS label FROM document_center ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * member_member_level_option_list Model Action
     * @return array
     */
	function member_member_level_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT member_level_id AS value , member_level_name_en AS label FROM member_level ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * member_Status_option_list Model Action
     * @return array
     */
	function member_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * member_type_option_list Model Action
     * @return array
     */
	function member_type_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT user_type_id AS value,user_type_name AS label FROM user_type";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * member_user_id_option_list Model Action
     * @return array
     */
	function member_user_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT user_id AS value , full_name AS label FROM user ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * offer_Member_ID_option_list Model Action
     * @return array
     */
	function offer_Member_ID_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT Member_ID AS value , Full_name AS label FROM member ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * offer_branch_id_option_list Model Action
     * @return array
     */
	function offer_branch_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT branch_id AS value , NameEnglish AS label FROM branches ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * offer_offer_type_option_list Model Action
     * @return array
     */
	function offer_offer_type_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT offer_type_id AS value,offer_type_name AS label FROM offer_type";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * offer_Status_option_list Model Action
     * @return array
     */
	function offer_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * offer_request_status_option_list Model Action
     * @return array
     */
	function offer_request_status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * office_Status_option_list Model Action
     * @return array
     */
	function office_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status_id AS value,status_name AS label FROM status";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * office_floor_id_option_list Model Action
     * @return array
     */
	function office_floor_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT floor_id AS value , floor_name_en AS label FROM floor ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * office_rental_Office_ID_option_list Model Action
     * @return array
     */
	function office_rental_Office_ID_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT Office_ID AS value , Office_ID AS label FROM office ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * office_rental_Member_ID_option_list Model Action
     * @return array
     */
	function office_rental_Member_ID_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT Member_ID AS value , Full_name AS label FROM member ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * privacy_policy_privacy_policy_header_value_exist Model Action
     * @return array
     */
	function privacy_policy_privacy_policy_header_value_exist($val){
		$db = $this->GetModel();
		$db->where("privacy_policy_header", $val);
		$exist = $db->has("privacy_policy");
		return $exist;
	}

	/**
     * privacy_policy_privacy_policy_header_arabic_value_exist Model Action
     * @return array
     */
	function privacy_policy_privacy_policy_header_arabic_value_exist($val){
		$db = $this->GetModel();
		$db->where("privacy_policy_header_arabic", $val);
		$exist = $db->has("privacy_policy");
		return $exist;
	}

	/**
     * subcategory_Category_ID_option_list Model Action
     * @return array
     */
	function subcategory_Category_ID_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT Category_ID AS value,Category_name_en AS label FROM category";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * subcategory_Status_option_list Model Action
     * @return array
     */
	function subcategory_Status_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT status_id AS value , status_name AS label FROM status ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * terms_and_conditions_term_header_value_exist Model Action
     * @return array
     */
	function terms_and_conditions_term_header_value_exist($val){
		$db = $this->GetModel();
		$db->where("term_header", $val);
		$exist = $db->has("terms_and_conditions");
		return $exist;
	}

	/**
     * terms_and_conditions_term_header_ar_value_exist Model Action
     * @return array
     */
	function terms_and_conditions_term_header_ar_value_exist($val){
		$db = $this->GetModel();
		$db->where("term_header_ar", $val);
		$exist = $db->has("terms_and_conditions");
		return $exist;
	}

	/**
     * user_full_name_value_exist Model Action
     * @return array
     */
	function user_full_name_value_exist($val){
		$db = $this->GetModel();
		$db->where("full_name", $val);
		$exist = $db->has("user");
		return $exist;
	}

	/**
     * user_email_value_exist Model Action
     * @return array
     */
	function user_email_value_exist($val){
		$db = $this->GetModel();
		$db->where("email", $val);
		$exist = $db->has("user");
		return $exist;
	}

	/**
     * getcount_branches Model Action
     * @return Value
     */
	function getcount_branches(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM branches";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_event Model Action
     * @return Value
     */
	function getcount_event(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM event";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_member Model Action
     * @return Value
     */
	function getcount_member(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM member";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_services Model Action
     * @return Value
     */
	function getcount_services(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM services";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_officerental Model Action
     * @return Value
     */
	function getcount_officerental(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM office_rental";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_category Model Action
     * @return Value
     */
	function getcount_category(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM category";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * getcount_benefit Model Action
     * @return Value
     */
	function getcount_benefit(){
		$db = $this->GetModel();
		$sqltext = "SELECT COUNT(*) AS num FROM benefit";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

}
