<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Getsurveyquestions</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['']) ? urlencode($data['']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-Survey_ID">
                                        <th class="title"> Survey Id: </th>
                                        <td class="value"> <?php echo $data['Survey_ID']; ?></td>
                                    </tr>
                                    <tr  class="td-description_en">
                                        <th class="title"> Description En: </th>
                                        <td class="value"> <?php echo $data['description_en']; ?></td>
                                    </tr>
                                    <tr  class="td-description_ar">
                                        <th class="title"> Description Ar: </th>
                                        <td class="value"> <?php echo $data['description_ar']; ?></td>
                                    </tr>
                                    <tr  class="td-date_from">
                                        <th class="title"> Date From: </th>
                                        <td class="value"> <?php echo $data['date_from']; ?></td>
                                    </tr>
                                    <tr  class="td-date_to">
                                        <th class="title"> Date To: </th>
                                        <td class="value"> <?php echo $data['date_to']; ?></td>
                                    </tr>
                                    <tr  class="td-type">
                                        <th class="title"> Type: </th>
                                        <td class="value"> <?php echo $data['type']; ?></td>
                                    </tr>
                                    <tr  class="td-Status">
                                        <th class="title"> Status: </th>
                                        <td class="value"> <?php echo $data['Status']; ?></td>
                                    </tr>
                                    <tr  class="td-Question_ID">
                                        <th class="title"> Question Id: </th>
                                        <td class="value"> <?php echo $data['Question_ID']; ?></td>
                                    </tr>
                                    <tr  class="td-Question_en">
                                        <th class="title"> Question En: </th>
                                        <td class="value"> <?php echo $data['Question_en']; ?></td>
                                    </tr>
                                    <tr  class="td-Question_ar">
                                        <th class="title"> Question Ar: </th>
                                        <td class="value"> <?php echo $data['Question_ar']; ?></td>
                                    </tr>
                                    <tr  class="td-Survey_Question_type">
                                        <th class="title"> Survey Question Type: </th>
                                        <td class="value"> <?php echo $data['Survey_Question_type']; ?></td>
                                    </tr>
                                    <tr  class="td-SurveyID">
                                        <th class="title"> Surveyid: </th>
                                        <td class="value"> <?php echo $data['SurveyID']; ?></td>
                                    </tr>
                                    <tr  class="td-options_label_en">
                                        <th class="title"> Options Label En: </th>
                                        <td class="value"> <?php echo $data['options_label_en']; ?></td>
                                    </tr>
                                    <tr  class="td-options_label_ar">
                                        <th class="title"> Options Label Ar: </th>
                                        <td class="value"> <?php echo $data['options_label_ar']; ?></td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">save</i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="material-icons">block</i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
